package com.winhc.bigdata.spark.ng.jobs

/**
 * @author: XuJiakai
 * @date: 2021/1/14 19:21
 */
case class args_company_job(tableName: String, md5_fields: Seq[String], is_super_filter: Boolean = true)

object args_company_job {
  val tab_md5_fields = Seq(
    args_company_job("company_app_info", Seq("name"))
    , args_company_job("company_staff", Seq("staff_name"))
    , args_company_job("company_holder", Seq("holder_name"))
    , args_company_job("company_icp", Seq("liscense", "domain"))
    , args_company_job("company_tm", Seq("reg_no"))
  )

  def get_args_company_job(tn: String): args_company_job = {
    tab_md5_fields.find(p => tn.equals(p.tableName)).getOrElse(throw new NullPointerException("tn is not fount"))
  }
}
